> # NAME

> cgGLRegisterStates - registers graphics pass states for CgFX files

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       void cgGLRegisterStates( CGcontext context );

> # PARAMETERS

> context

>   The context in which to register the states.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGLRegisterStates registers a set of states for the passes in a CgFX effect file. These states correspond to the set of OpenGL state that is relevant and/or useful to be setting in passes in effect files. See the Cg User's Guide for complete documentation of the states that are made available after calling cgGLRegisterStates.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> # HISTORY

> cgGLRegisterStates was introduced in Cg 1.4.

> # SEE ALSO

> cgAddState, cgSetPassState, cgResetPassState, cgValidatePassState